3 Replies Latest reply on Nov 6, 2015 1:51 PM by allan_intel

    Cant run s3tc compressor

    behold


      COpenGLEntryPoints::CheckGLExtensions():

      Required OpenGL extension "GL_EXT_texture_compressor_s3tc" is not supported. Please install S3TC texture support.



      I googled this trouble, and i found out that it's a typical problem for a linux users, who cant run an application with Wine.

      But my system is Win7sp1 x32 and I dont have an idea how to fix this.


      My graphic controller - Mobile Intel(R) 4 Series Express Chipset Family

      Opengl 2.1

      Driver vesion 8.15.10.2869 (latest, downloaded manually from intel download center, later updated with Intel Driver Update Utility)

      DX 9.0c june 2010, 10.0

      shader model vs_4_0, ps_4_0


      Videoadapter test says that i cant use OpenGL at all, but i can actually.

      OpenGL Extension viewer says that my graph controller is able to run GL_EXT_texture_compression_s3tc.


      Help please